lp:ubuntu/karmic/emesene

Created by James Westby on 2009-08-12 and last modified on 2009-09-03
Get this branch:
bzr branch lp:ubuntu/karmic/emesene
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

11. By Laurent Bigonville on 2009-08-24

* Merge from debian unstable, remaining changes (LP: #417371):
  - Add check_notifications.patch to check if the current notification
    system supports actions
  - Drop python-dcop suggests, not in the archive anymore
* Drop debian/patches/currentSong_plugin_support_amarok2.patch:
  merged upstream

10. By Scott Kitterman on 2009-03-20

* Change build-dep on python2.5 to python and add --install-layout=deb to
  the install rule for Python 2.6 transition
* Add check_notifications.patch to check if the current notification
  system supports actions (LP: #345660)
  - Thanks to Daniele Napolitano for the patch

9. By Emilio Pozuelo Monfort on 2009-01-12

[ Marco Rodrigues ]
* debian/control:
  + Add ${misc:Depends} to Depends to remove lintian warning.

[ Emilio Pozuelo Monfort ]
* debian/patches/currentSong_plugin_support_amarok2.patch:
  - Add plugin from http://www.emesene.org/trac/ticket/1955
    to support Amarok2. It uses DBus instead of DCOP, so after
    Lenny is released we can remove python-dcop from Suggests.
* Actually remove python-dcop from Suggests for Jaunty, as it's going
  to be removed from the archive.

8. By Emilio Pozuelo Monfort on 2008-11-17

[ Sandro Tosi ]
* debian/control
  - switch Vcs-Browser field to viewsvn

[ Emilio Pozuelo Monfort ]
* debian/patches/from_upstream_fix_logger_exceptions.patch:
  - Fix Logger plugin exceptions. Patch backported from upstream r1506.
    Closes: #503939.

7. By Emilio Pozuelo Monfort on 2008-09-17

* debian/patches/from_upstream_fix_invalid_application_header.patch,
  debian/patches/from_upstream_fix_gtk_image_loading.patch,
  debian/patches/from_upstream_embed_logo_in_htm.patch:
  - Removed, fixed in the new version.
* debian/control,
  debian/rules:
  - Remove distutils' hack to build the package with python2.5 to
    support python2.4, since python2.5 is now the default version.
* debian/rules:
  - No need to make Controller.py executable anymore, as we are now
    launching it from emesene-launcher.

6. By Niels Egberts on 2008-08-19

* New upstream version 1.0.1. LP: #252380
* Removed from_upstream_embed_logo_in_htm-patch, it's fixed in the new version.
* Removed from_upstream_fix_gtk_image_loading-patch, same reason
* Removed from_upstream_fix_invalid_application_header-patch, same reason

5. By Emilio Pozuelo Monfort on 2008-07-18

* debian/patches/from_upstream_fix_invalid_application_header.patch:
  - Update Application ID to MSN 8.5, patch taken from upstream r1422.
    LP: #249530
* debian/patches/from_upstream_embed_logo_in_htm.patch:
  - Don't load emesene's logo from emesene.org, but embed it in the
    html file instead. Patch taken from upstream r1424. LP: #236952
* debian/copyright:
  - Limit width to 80 chars.

4. By Emilio Pozuelo Monfort on 2008-03-29

* New upstream stable release from the emesene-1.0-dist upstream tarball
  (which contains setup.py and misc/ ).
* debian/patches/01_setup_py_update_get_orig_source.patch:
  - Removed, not needed anymore as we aren't using get-orig-source.
* debian/rules:
  - Remove get-orig-source rule, as from now on we will use upstream
    tarballs.
  - Remove python-patchsys include.
  - Run dh_icons and dh_desktop
  - Build the package with python2.5 since it FTBFS with python2.4 due to
    an issue with distutils.
* debian/copyright:
  - Updated.
* debian/watch:
  - Updated so that it reports 1.* as the newer versions.
* debian/emesene-launcher:
  - Update for the new Controller.py location.
* debian/control:
  - Build-Depend on python2.5 since the package is built with python2.5,
    as it fails with python2.4's distutils.
  - Wrap Build-Depends.
  - Build-Depend on debhelper >= 5.0.51~ for dh_icons

3. By Emilio Pozuelo Monfort on 2008-03-25

* debian/control:
  - Remove python-xml dependency as the xml modules used by emesene
    are shipped in Python. LP: #199014.

2. By Emilio Pozuelo Monfort on 2008-02-06

* Initial release. LP: #136778.
* Tarball generated by the get-orig-source target in debian/rules.
* debian/patches/fix_login.patch:
  - From upstream, fix login.
* debian/patches/setup_py_include_abstrace_code.patch:
  - Include abstract/ dir in setup.py.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/lucid/emesene
This branch contains Public information 
Everyone can see this information.

Subscribers